EVE Online Drops Classic Client Support, Welcomes Players To This Century

CCP has announced plans to phase out the current Classic Client for EVE Online in favor of a new system that could require users to upgrade for the first time in a decade.

The dual-client nature of EVE Online in its current form allows players with more modern PC technology to enjoy spectacular graphics, while an older Classic Client allows the game to be played on pretty much any system from 1998 onwards. It's a great system for stubborn PC gamers who haven't seen the inside of an electronics store in 10 years, but not so much for CCP, who have to basically create all graphics twice every time they add something to the game. Not anymore.

Starting with the launch of the next expansion, EVE Online: Apocrypha, CCP will discontinue support for ShaderModel 1, replacing the Classic Client with the new Premium Lite Client, which uses downsampled textures from the Premium Client, allowing the company to cut their graphics work by half.

After that, CCP is looking at possibly discontinuing support of ShaderModel 2 with the Winter 2009 expansion.

So how many people will be affected by these changes?

We know this will affect some players out there. What we don't know is exactly how many. We estimate that about 95% of all subscribers currently have hardware that is SM2 compatible. We further predict that in q4 this year over 97% of subscribers will have SM3 capable hardware. This means that an estimate of anywhere from 3%-5% of current subscribers would have to update their computers or graphics cards to be able to continue playing.

Seriously? 3-5% of EVE Online players are running on computer systems from the previous century? Maybe we should start a video card drive for these poor unfortunate souls.

i can totally run that on my amiga
[EVE Online via 1UP]